Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyAnnotationRef

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyAnnotationRef

All Implemented Interfaces:
  GroovyAnnotationRef

    public class SimpleGroovyAnnotationRef
    extends Object

Constructor Summary
`SimpleGroovyAnnotationRef(String name, String desc)`

Method Summary
`String` | `description()`
`String` | `name()`
`void` | `setName(String name)`
`void` | `setType(GroovyClassDoc type)`
`GroovyClassDoc` | `type()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleGroovyAnnotationRef

    public SimpleGroovyAnnotationRef(String name, String desc)

Method Detail

### description

    public String description()

### name

    public String name()

### setName

    public void setName(String name)

### setType

    public void setType(GroovyClassDoc type)

### type

    public GroovyClassDoc type()

Copyright © 2003-2010 The Codehaus. All rights reserved.